Download a Free Demo

Additional Modules

Additional Modules

Dealership Information

(review our full privacy policy)
  Please note:  DeskManager Version 11 is not compatible with Windows 98, ME, 2000, Vista or older versions of Windows. DeskManager 11 should be installed only on Windows 7, 8*, or newer versions of Windows. Installation on Windows XP is not recommended. In addition, DeskManager requires Microsoft .NET Framework 2.0 or higher.

*Recently the newest Windows 8.1 update has added support for impact printing. If a Windows 8.1 machine is to be used for printing make sure all important updates have been installed.
Privacy Policy
AutoManager is committed to protecting the security of your personal information. Any information you provide on this page will be kept strictly confidential, and we will only use personal information to provide services you've requested. AutoManager will never sell, rent, or lease our customer lists to third parties. For more information about our privacy practices, review our full privacy policy.